Assemblage programmé "RESOLU"

Vos questions sur la gestion des assemblages et les techniques de contraintes.

Assemblage programmé "RESOLU"

Messagepar qdurieux » Mer 10 Sep 2008, 20:29

Bonsoir a tous !!!!!

J'aimerais essayé quelque chose sous solidworks (peut-être un projet trop ambitieux)
Je boss dans une société de manutention automatisé pour ceux que ça intéresse (www.rsp01.com). Sur Solidworks et il possible pas exemple de préparer une feuille Excel avec comme information: la longueur et la largeur d'un convoyeur constitué d'une bonne trentaines de pièces pour qu'il ce mette aux côtes demandées. Sachant que le convoyeur contient des pièces qui sont standards et ne sont jamais modifiées seul une contrainte de distance et modifié.

Merci de votre visite.
En attendant des réponses positives, je vous remercis pour vos solutions très instructives et constructives.
A bientôt.
Dernière édition par qdurieux le Mer 31 Déc 2008, 11:34, édité 1 fois.
qdurieux
Ewok SolidWorks
 
Messages: 17
Inscription: Mer 10 Sep 2008, 20:14
Localisation: Ain (01)

Messagepar Dessinator » Mer 10 Sep 2008, 21:31

Salut,

Je pense que c'est possible, mais il faudrait demander ça à des personnes plus compétentes que moi dans ce domaine :oops:

un petit tour ici serai bien :wink:
SolidWorks. What else?
L'aide en ligne est ton amie
Avatar de l’utilisateur
Dessinator
Membres du Conseil SolidWorks
 
Messages: 1632
Inscription: Sam 09 Fév 2008, 18:08
Localisation: Arras-------- SW2011 SP1.0_XP64

Messagepar Chico » Mer 10 Sep 2008, 23:13

Salut à toi! :D

Oui, il y a 2 solutions à mon avis.

La 1ère, car la plus simple dans ce cas, les familles de pièces. À mon avis, il est possible de l'adapter à ton assemblage pour que tu puisses créer différentes configurations utilisant les différentes longueurs et largeurs.

Sinon, ça passe obligatoirement par une macro, qui est aussi une solution valable, mais il faut aimer programmer :wink:

Est-ce que ce sont seulement des contraintes de distance entre tes composants sans changement dans les fichiers pièces? Où est-ce que les distances entre les composants sont gérées par des cotes dans des fichiers pièces? Ou alors un mélange des deux.?

Dans une solution comme dans l'autre, ça aiderait à cibler la bonne solution. :wink:
Il vaut mieux poser une question et risquer d'avoir l'air idiot
une journée que de se taire et d'être bête toute sa vie.

8wd a dit : LA FONCTION RECHERCHE EST TON AMIE
http://www.logiciel-cao.com
Avatar de l’utilisateur
Chico
Esprit Jedi Solidworks
 
Messages: 3120
Inscription: Mer 12 Mar 2008, 19:16
Localisation: Mauricie (Québec) ------SW 2006 SP0.0

Messagepar GWYGWY » Jeu 11 Sep 2008, 7:40

moi j'utilise la macro qui se trouve ici
pour modifier mon assembalge je rentre un cote de largeur et une de longueur et c'est tout
puis je fait des petit calcul automatique avec excel pour modifier les autres pièces de mon assemblage.
jesper que ca va t'aider
A+
:wink:
Avatar de l’utilisateur
GWYGWY
Chevalier Jedi SolidWorks
 
Messages: 405
Inscription: Jeu 10 Avr 2008, 10:03
Localisation: epinac.....SW2012 SP4

Messagepar qdurieux » Jeu 11 Sep 2008, 9:29

En faite la famille de pièces et trop complexe à parametrer car trop de pièces avec trop de configurations. En revanche dans l'assemblage les cotes de distances sont entre deux pièces exclusivement dans l'assemblage aucune cote de contrainte entre deux pièces ce fais dans un modele pièces.
J'aimerais pouvoir faire en quelque mot un tableau excel avec une bardé de cotes et celle-ci sont prise par solidworks dans le tableur, telle cote doit etre prise dans telle cellule.
qdurieux
Ewok SolidWorks
 
Messages: 17
Inscription: Mer 10 Sep 2008, 20:14
Localisation: Ain (01)

Messagepar GWYGWY » Jeu 11 Sep 2008, 10:03

ta essayé la macro ou pas car elle est simple d'utilisation et c'est tou à fait ce que tu veu faire.
voila une petite explication qui est aussi dans le fichier
dans ta macro tu à ca:
Model.Parameter("D1@Esquisse1@Pièce1.Part").SystemValue = (Range("F11").Value) * 0.001

voici le principe:
D1 est la cotation intelligente dans SW
Esquisse1 est tous simplement l'esquisse concernée
Pièce1 est le nom de notre fichier SW
F11 c'est la case ou est rangé notre cotation a modifié
Pour trouver ca tu fait un clique droit sur ta cote et clique sur propriété et la ta D1@ESquisse.

Ensuite dans F11 (ou une autre) tu rentre la cote que tu veu avec ou sans calcul

tu écri une ligne à chaque cote que tu veut modifié et c'est tou.
c'est ce que je voi de plu simple pour résouidre ton problème
A+
Avatar de l’utilisateur
GWYGWY
Chevalier Jedi SolidWorks
 
Messages: 405
Inscription: Jeu 10 Avr 2008, 10:03
Localisation: epinac.....SW2012 SP4

Messagepar qdurieux » Jeu 11 Sep 2008, 10:20

Un grand merci à toi très très interressant. je vous tiens au courant merci beaucoup.
a tres bientot.
qdurieux
Ewok SolidWorks
 
Messages: 17
Inscription: Mer 10 Sep 2008, 20:14
Localisation: Ain (01)

Messagepar Chico » Jeu 11 Sep 2008, 10:22

Bonjour,

Cette macro a été faite pour un fichier pièce. Il faut donc l'adapter pour un assemblage. Et puisque tes distances sont gérées par contraintes, plutôt que par dimensions, je ne crois que cette macro soit la plus pratique.

Tu pourrais nous faire un imprime-écran, en spécifiant ce qui doit être changé par la macro? Ça aiderait à avoir une meilleure idée de ce qu'il faut faire. :wink:
Il vaut mieux poser une question et risquer d'avoir l'air idiot
une journée que de se taire et d'être bête toute sa vie.

8wd a dit : LA FONCTION RECHERCHE EST TON AMIE
http://www.logiciel-cao.com
Avatar de l’utilisateur
Chico
Esprit Jedi Solidworks
 
Messages: 3120
Inscription: Mer 12 Mar 2008, 19:16
Localisation: Mauricie (Québec) ------SW 2006 SP0.0

Messagepar qdurieux » Jeu 11 Sep 2008, 11:38

Ben je te ferais tout ça. mais c'est vrai qu'il faudra adapté la macro a l'assemblage mais je pense pas que ça pose enormement de problemes. Par contre la contrainte dans l'assemblage et unique elle est la seul à varier. La cote en bleu correspond a la contrainte de distance variable les diabolos reste toujours plaqués sur un coté, seul l'entraxe change.

Merci de ton observation.
qdurieux
Ewok SolidWorks
 
Messages: 17
Inscription: Mer 10 Sep 2008, 20:14
Localisation: Ain (01)

Messagepar Chico » Jeu 11 Sep 2008, 11:43

Et tes autres composants s'adaptent à cette contrainte de distance?

Si c'est ça, à mon avis, ce sera plutôt simple. :wink:

Merci pour l'imprime écran, ça permet de visualiser. :wink:
Il vaut mieux poser une question et risquer d'avoir l'air idiot
une journée que de se taire et d'être bête toute sa vie.

8wd a dit : LA FONCTION RECHERCHE EST TON AMIE
http://www.logiciel-cao.com
Avatar de l’utilisateur
Chico
Esprit Jedi Solidworks
 
Messages: 3120
Inscription: Mer 12 Mar 2008, 19:16
Localisation: Mauricie (Québec) ------SW 2006 SP0.0

Messagepar GWYGWY » Jeu 11 Sep 2008, 12:29

ta raison chico j'avais pas vu qu'il voulai modifié qu'une contraintes et la je sais pas comment faire.
Désolé de t'avoir orienté sur une mauvaise piste qdurieux. :( (J'ai quand même essayé)
J'ai encore des chose à apprendre.
Mais cette macro est très pratique quand même.
A+ :wink:
Avatar de l’utilisateur
GWYGWY
Chevalier Jedi SolidWorks
 
Messages: 405
Inscription: Jeu 10 Avr 2008, 10:03
Localisation: epinac.....SW2012 SP4

Messagepar qdurieux » Jeu 11 Sep 2008, 12:35

Ben en faite si tu veux toutes les autres contraintes existantes sont par rapport au chassis qui lui va varier en longueur et en largeur mais les surfaces de références restes les mêmes. Seul l'entraxe des diabolos varie au niveau des contraintes de l'assemblage.

Et petit question suplémentaire, et il possible suivant une feuille de calcul toujours sous excel (menu deroulant par exemple) de mettre différent type de motorisation et selectionner celui qui convient pour qu'il s'implante automatiquement dans l'assemblage? (élection d'un moteur 0.12 kW ou 0.25 ou autre.)
Peut etre y aura t il un probleme avec les contraintes mais ce n'est pas un gros probleme. (Même si il s'implante en vrac il y a juste à rajouter 3 contraintes c'est grave)
qdurieux
Ewok SolidWorks
 
Messages: 17
Inscription: Mer 10 Sep 2008, 20:14
Localisation: Ain (01)

Messagepar GWYGWY » Jeu 11 Sep 2008, 13:18

qdurieux a écrit:Et petit question suplémentaire, et il possible suivant une feuille de calcul toujours sous excel (menu deroulant par exemple) de mettre différent type de motorisation et selectionner celui qui convient pour qu'il s'implante automatiquement dans l'assemblage? (élection d'un moteur 0.12 kW ou 0.25 ou autre.)

La il faut que tu cré diffférentes configurations avec chacune un moteur différent.
jpense que c'est le plus simple
Avatar de l’utilisateur
GWYGWY
Chevalier Jedi SolidWorks
 
Messages: 405
Inscription: Jeu 10 Avr 2008, 10:03
Localisation: epinac.....SW2012 SP4

Messagepar Chico » Ven 12 Sep 2008, 3:55

GWYGWY a écrit:
qdurieux a écrit:Et petit question suplémentaire, et il possible suivant une feuille de calcul toujours sous excel (menu deroulant par exemple) de mettre différent type de motorisation et selectionner celui qui convient pour qu'il s'implante automatiquement dans l'assemblage? (élection d'un moteur 0.12 kW ou 0.25 ou autre.)

La il faut que tu cré diffférentes configurations avec chacune un moteur différent.
jpense que c'est le plus simple

+1, je crois que ce serait la solution la plus simple! :wink:
Il vaut mieux poser une question et risquer d'avoir l'air idiot
une journée que de se taire et d'être bête toute sa vie.

8wd a dit : LA FONCTION RECHERCHE EST TON AMIE
http://www.logiciel-cao.com
Avatar de l’utilisateur
Chico
Esprit Jedi Solidworks
 
Messages: 3120
Inscription: Mer 12 Mar 2008, 19:16
Localisation: Mauricie (Québec) ------SW 2006 SP0.0

Messagepar Chico » Ven 12 Sep 2008, 3:58

Pour ce qui est de modifier une contrainte de distance avec une macro, j'ai fait un code qui permet de modifier la valeur de la distance.

Voici
Code: Tout sélectionner
Sub main()

Dim swApp As SldWorks.SldWorks
Dim swModel As SldWorks.ModelDoc2
Dim swAssy As SldWorks.AssemblyDoc
Dim swMate As SldWorks.Mate2
Dim SelMgr As SldWorks.SelectionMgr
Dim swFeat As SldWorks.Feature
Dim swDispDim As SldWorks.DisplayDimension
Dim swDim As SldWorks.Dimension
Dim boolstatus As Boolean

Set swApp = Application.SldWorks

Set swModel = swApp.ActiveDoc
Set swAssy = swModel
Set SelMgr = swModel.SelectionManager

swModel.ClearSelection2 True

boolstatus = swModel.Extension.SelectByID2("Distance8", "MATE", 0, 0, 0, False, 0, Nothing, 0)

Set swFeat = SelMgr.GetSelectedObject5(1)
Set swMate = swFeat.GetSpecificFeature2
Set swDispDim = swMate.DisplayDimension2(0)
Set swDim = swDispDim.GetDimension

swDim.SetValue3 314.16, 0, ""
swModel.EditRebuild3

End Sub


Évidemment, il faut personnaliser.

Le nom de ta contrainte doit être placé à la place de "Distance8" et la valeur de ta dimension à la place de 314.16 :wink:
Il vaut mieux poser une question et risquer d'avoir l'air idiot
une journée que de se taire et d'être bête toute sa vie.

8wd a dit : LA FONCTION RECHERCHE EST TON AMIE
http://www.logiciel-cao.com
Avatar de l’utilisateur
Chico
Esprit Jedi Solidworks
 
Messages: 3120
Inscription: Mer 12 Mar 2008, 19:16
Localisation: Mauricie (Québec) ------SW 2006 SP0.0

Suivante

Retourner vers SolidWorks : Assemblages et Contraintes

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 3 invités

banniere

cron